Skip to main content
`Ctrl`+`K`

# numpy.lib.stride_tricks

Utilities that manipulate strides to achieve desirable effects.

An explanation of strides can be found in the The N-dimensional array (ndarray).

Functions

`as_strided`(x[, shape, strides, subok, writeable]) | Create a view into the array with the given shape and strides.
`sliding_window_view`(x, window_shape[, axis, ...]) | Create a sliding window view into the array with the given window shape.